use clap::Parser;
use rusty_library::{cli::Cli, config::Config};

#[tokio::main]
async fn main() -> Result<(), std::io::Error> {
    if std::env::var_os("RUST_LOG").is_none() {
        std::env::set_var("RUST_LOG", "debug");
    }
    tracing_subscriber::fmt::init();

    let args = Cli::parse();
    let config = Config::load(&args).expect("failed to load configuration");

    rusty_library::run(config).await
}
