use std::string::FromUtf8Error;

use quick_xml::DeError;
use thiserror::Error;

#[derive(Error, Debug)]
#[error("opds error")]
pub enum OpdsError {
    #[error("failed to serialize struct")]
    SerializingError(#[from] DeError),
    #[error("xml failure")]
    XmlError(#[from] quick_xml::Error),
    #[error("failed to decode as utf-8")]
    Utf8Error(#[from] FromUtf8Error),
}
