use serde_with::SerializeDisplay;

#[derive(Debug, SerializeDisplay)]
pub enum Relation {
    Image,
    Myself,
    Start,
    Subsection,
    Thumbnail,
}

impl std::fmt::Display for Relation {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        match self {
            Relation::Image => write!(f, "http://opds-spec.org/image"),
            Relation::Myself => write!(f, "self"),
            Relation::Start => write!(f, "start"),
            Relation::Subsection => write!(f, "subsection"),
            Relation::Thumbnail => write!(f, "http://opds-spec.org/image/thumbnail"),
        }
    }
}
